/* 
 * glass - the openGL Articulated Skeleton System
 *
 * Copyright (C) 2001-2003  Robert Ancell <bob27@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __glass_draw_h__
#define __glass_draw_h__

#include "global.h"
#include "glass_model.h"
#include "glass_node.h"
#include "glass_transform.h"
#include "glass_surface.h"

/* Draws the glass model */
int _glassDrawModel(GlassModel *mode);

/* Recursively draw the normal triangles of a node */
int _glassDrawNode(GlassNode *node);

/* Recursively draw the alpha triangles of a node */
/* FIXME: doesn't check to see how many time glPushMatrix is used, errors */
int _glassDrawAlphaNode(GlassNode *node);

/* Convert the transform in the glass model to openGL calls */
int _glassDoTransform(GlassTransform *transform);

/* Draw the non-alpha triangles in a surface */
int _glassDrawSurface(GlassSurface *surface);

/* Draw the alpha triangles in a surface */
int _glassDrawAlphaSurface(GlassSurface *surface);

#endif /* __glass_draw_h__ */
