/* 
 * glass - the openGL Articulated Skeleton System
 *
 * Copyright (C) 2001-2003  Robert Ancell <bob27@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __glass_texture_h__
#define __glass_texture_h__

typedef struct _GlassTexture GlassTexture;

#include "global.h"

/* A texture */
struct _GlassTexture
{
  char *name;
  int is_alpha;

  char *image_file;
  unsigned int width, height;
  GLuint texture;

  GlassTexture *next;

  /* Load data */
  void *ad;
};

/* Make a texture */
GlassTexture *_glassTextureNew(void);

/* Set the texture's name */
void _glassTextureSetName(GlassTexture *texture, const char *name);

/* Get the texture's name */
const char *_glassTextureGetName(GlassTexture *texture);

/* Load a RGB file, and use this as the texture */
void _glassTextureLoadRGB(GlassTexture *texture, const char *fname);

/* Free a glass texture, and remove the openGL texture it used */
void _glassFreeTexture(GlassTexture *texture);

#endif /* __glass_texture_h__ */
